--- etc/network~	Fri Jul  7 05:35:48 2000
+++ etc/network	Sun Jul 16 17:58:04 2000
@@ -68,6 +68,8 @@
 	    if [ "$GATEWAYS" ] ; then
 		set - $GATEWAYS ; GATEWAY=$1
 	    fi
+	elif is_true $WHEREAMI ; then
+	    /usr/sbin/whereami $DEVICE || exit 1
 	elif [ -x /sbin/pump ] ; then
 	    /sbin/pump -i $DEVICE
 	else
@@ -154,7 +156,7 @@
 
     stop_fn $DEVICE
 
-    if is_true $PUMP || is_true $BOOTP || is_true $DHCP \
+    if is_true $WHEREAMI || is_true $PUMP || is_true $BOOTP || is_true $DHCP \
 	|| is_true $DHCLIENT || [ "$IPADDR" ] ; then
 
 	# Shut down all NFS mounts on this interface
